%define name gsu
%define version 0.9
%define release 8mdk

Summary: Graphical frontend for su
Name: %{name}
Version: %{version}
Release: %{release}
Source0: gsu.bz2
Copyright: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: kdesu, which
BuildArchitectures: noarch

%description
GUI frontend for su. Allows you to run X applications as root. For this, it pops
a window asking you the root password.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin
bzcat %{SOURCE0} > $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin/gsu

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_prefix}/X11R6/bin/*

%changelog
* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-8mdk
- Remove menu entry
- make file executable

* Thu Jul 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9-7mdk
- %%{_prefix}
- bz2 source4 to please rpmlint

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-6mdk
- tvsuckzation (aka BM&&macros)
- i586 -> noarch package

* Sun Apr 16 2000 Pixel <pixel@mandrakesoft.com> 0.9-5mdk
- remove % setup with no % prep
- cleanup

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.9-4mdk
- Fixed menu entry

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.9-3mdk
- Fixed groups
- Fixed rpmlint errors
- Added menu

* Tue Jan  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-2mdk
- only a wrapper around kdesu

# end of file
